Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package pyinst.Builder

## Classes
class | ArchiveTarget
class | CollectTarget
class | ExeTarget
| iconfile = None for name in self.cfg.sections(): if self.cfg.get (name, "type") == "STANDALONE": try: iconfile = self.cfg.get (name, "iconfile") except: pass if iconfile: from icon import CopyIcons CopyIcons (myexe, iconfile) More...
class | FullExeTarget
class | InstallTarget
class | PYZTarget
class | Target
## Functions
def | assemble
| if not isinstance(rsrc, resource.pythonresource): print "PYZ target %s ignoring include %s" % (self.name, thingie) else:
def | main
def | makeTarget
def | run
## Variables
list | autopath = []
dictionary | built = {}
| copyFile = None
dictionary | dispatch
string | extractfile = "open(os.path.join(idir, '%s'), 'wb').write(this.extract('%s')[1])\n"
string | importzlib = "imputil.FuncImporter(archive_rt.ZlibArchive(sys.path[0]+'/%s').get_code).install()\n"
string | installpreamble
| logfile = None
string | mvfile = "installutils.copyFile(os.path.join(here, '%s'), os.path.join(idir, '%s'))\n"
tuple | myexe = tempfile.mktemp()
| copyFile([exe, pkgname], self.name) os.remove(pkgname) Thomas Heller's icon code my version
dictionary | optcnvrts
dictionary | optdefaults
string | sitepreamble

## Function Documentation

def pyinst.Builder.assemble | ( |  | self | ) |

if not isinstance(rsrc, resource.pythonresource): print "PYZ target %s ignoring include %s" % (self.name, thingie) else:

def pyinst.Builder.main | ( |  | opts,
|  |  | args
| ) |  |

def pyinst.Builder.makeTarget | ( |  | cfg,
|  |  | section
| ) |  |

def pyinst.Builder.run | ( |  | file | ) |

## Variable Documentation

list autopath = []

dictionary built = {}

copyFile = None

dictionary dispatch

Initial value:

    00001 {
    00002                 'PYZ': PYZTarget,
    00003                 'CARCHIVE': ArchiveTarget,
    00004                 'COLLECT': CollectTarget,
    00005                 'STANDALONE': ExeTarget,
    00006                 'INSTALL': InstallTarget,
    00007                 'FULLEXE': FullExeTarget,
    00008 }

string extractfile = "open(os.path.join(idir, '%s'), 'wb').write(this.extract('%s')[1])\n"

string importzlib = "imputil.FuncImporter(archive_rt.ZlibArchive(sys.path[0]+'/%s').get_code).install()\n"

string installpreamble

Initial value:

    00001 """\
    00002 import sys, os
    00003 import installutils
    00004 import carchive_rt
    00005 idir = installutils.getinstalldir()
    00006 me = sys.argv[0]
    00007 if me[:-4] != '.exe':
    00008     me = me + '.exe'
    00009 this = carchive_rt.CArchive(sys.argv[0])
    00010 here = sys.path[0]
    00011 """

logfile = None

string mvfile = "installutils.copyFile(os.path.join(here, '%s'), os.path.join(idir, '%s'))\n"

tuple myexe = tempfile.mktemp()

copyFile([exe, pkgname], self.name) os.remove(pkgname) Thomas Heller's icon code my version

dictionary optcnvrts

Initial value:

    00001 {   'type':'',
    00002                 'name': 'getstring',
    00003                 'exstdlib': 'getbool',
    00004                 'console': 'getbool',
    00005                 'analyze': 'getbool',
    00006                 'debug': 'getbool',
    00007                 'includetk': 'getbool',
    00008                 'userunw': 'getbool',
    00009                 'destdir': 'getstring',
    00010                 'support': 'getbool',
    00011                 '__name__': 'getstring',
    00012                 'icon': 'getstring',
    00013 }

dictionary optdefaults

Initial value:

    00001 { 'type':'PYZ',
    00002                 'script':'',            # INSTALL (opt) & STANDALONE (required)
    00003                 'zlib':'',              # INSTALL, STANDALONE, COLLECT
    00004                 'bindepends':'',        # INSTALL, COLLECT
    00005                 'misc':'',              # INSTALL. COLLECT
    00006                 'includetk': '0',       # INSTALL, COLLECT
    00007         'userunw': '0',         # STANDALONE
    00008                 'dependencies':'',      # PYZ
    00009                 'directories':'',       # PYZ
    00010                 'excludes':'',          # PYZ, INSTALL, COLLECT
    00011                 'expatterns': '',
    00012                 'exstdlib': '0',
    00013                 'extypes': '',
    00014                 'includes':'',          # PYZ
    00015                 'packages':'',          # PYZ
    00016                 'destdir':'',           # COLLECT
    00017                 'pathprefix': '',
    00018                 'trees': '',
    00019                 'debug': '0',
    00020                 'support': '1', # include python20.dll & exceptons.pyc at a minimum
    00021                 'icon': '',
    00022 }

string sitepreamble

Initial value:

    00001 """\
    00002 import archive_rt
    00003 import imputil
    00004 import sys
    00005 """

All Classes Namespaces Functions Variables Enumerations Enumerator Properties